Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 102652 - Default value of multiplicity collection type should be ArrayList
Default value of multiplicity collection type should be ArrayList
Status: VERIFIED FIXED
Product: uml
Classification: Unclassified
Component: Properties
5.x
All All
: P2 (vote)
: TBD
Assigned To: Craig Conover
issues@uml
HOL,release55_fixes_fixed
: REGRESSION
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2007-04-26 17:28 UTC by Andrew Korostelev
Modified: 2007-05-11 15:03 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew Korostelev 2007-04-26 17:28:03 UTC
regression from all-nbms-griffin_fixes-070418-ml
to all-nbms-griffin_fixes-070419_3-ml
Is still reproducible in all-nbms-griffin_fixes-070425-ml

steps:
- create java-model uml project
- create class diagram
- put two classes C1 and C2 to diagram
- add navigable aggregation link from C1 to C2.
- set multiplicity range to 1..* 
  * right-click on the link close to C2 end
  * invoke Set multiplicity | 1..*
- open multiplicity property dialog for 'part end' of created link.
there is 'AS Array' value in 'Collection type' column.

Default value Should be changed to ArrayList
Comment 1 Craig Conover 2007-04-26 23:13:39 UTC
I have this implemented so that the default value of a multiplicity range is
"DEFAULT_COLLECTION_VALUE". This is an indication to code generation and UI to
use/display the value of the global preference, "Collection Override Default".

The value of the global pref can be specified in dot notation
(java.util.ArrayList) or UML double-colon notation (java::util::ArrayList) and
it will all work as expected. If in dot notation, the UI for the range
Collection Type drop down will not match any values in the options list, but
will still function as desired. I would change the default value of the global
pref to use :: notation, but this would require a change to the help text for
this preference and hence, a UI change. Not going there in the fixes patch.

This feature/preference needs to be discussed for the NB6 release.
 
Comment 2 Andrew Korostelev 2007-04-27 11:00:00 UTC
verified in all-nbms-griffin_fixes-070426-ml


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo